Bug 449108 - dhcp6c requires initscript
dhcp6c requires initscript
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.2
All Linux
urgent Severity low
: rc
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
:
Depends On:
Blocks: 253764
  Show dependency treegraph
 
Reported: 2008-05-30 09:59 EDT by Lawrence Lim
Modified: 2014-03-25 20:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 16:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2008-05-30 09:59:04 EDT
Description of problem:
At the moment, on the client side, we could only obtain global address using the
following command `dhcp6c -f -d eth0`. It will be good if dhcp6c could be
running as daemon so that whenever network restarts, it could pick up the
address from the DHCPv6 server.

Version-Release number of selected component (if applicable):
dhcpv6-1.0.10-4.el5

How reproducible:
Always

Steps to Reproduce:
1.Start dhcp6s
2.On the client, dhcp6c -f -d eth0
3.ifconfig (verify global address)
4.service network restart
5.ifconfig (verify global address)

Actual results:
Only link-local, no global address

Expected results:
Global address obtained from dhcp6s after network restart

Additional info:
Highly recommend for this patch to be included for the certification
Comment 2 David Cantrell 2008-05-30 15:56:05 EDT
I don't think I explained this issue quite right.  An init script for dhcp6c won't solve the problem of 
dhcp6c not restarting when you run "service network restart".  The network service (which is 
/etc/rc.d/init.d/network) is a script owned by the initscripts package:

# rpm -qf /etc/rc.d/init.d/network
initscripts-8.45.19.EL.1

The network script runs the ifup/ifdown scripts for each interface configured in 
/etc/sysconfig/network-scripts.  The /etc/sysconfig/network-scripts/ifup-eth scripts actually runs 
dhcp6c for the interface if the following conditions are met:

1) The variable NETWORKING_IPV6=y is set in /etc/sysconfig/network
2) The variable DHCPV6C=y is set in the /etc/sysconfig/network-scripts/ifcfg-ethX file for the 
interface in question.

At that point you should be able to ifup/ifdown the interface individually and have it start and stop 
dhcp6c through that mechanism.  Likewise, the 'service network restart' method should do it for all 
network interfaces.  This is how dhclient is started and stopped for each interface (i.e., there is no 
/etc/rc.d/init.d/dhclient init script, but rather one is started for the interface through the ifup scripts).

If that isn't working, then the initscripts package should be fixed.
Comment 3 Bill Nottingham 2008-05-30 16:40:00 EDT
'This patch'? How is what's there now not working?
Comment 5 David Cantrell 2008-06-02 16:26:39 EDT
(In reply to comment #3)
> 'This patch'? How is what's there now not working?

Bill,

I think there was some confusion with the testers on how to trigger a dhcp6c restart when you do 
'service network restart'.  They thought I needed to create a dhcp6c init script, so I posted the 
explanation above.  For me, if you add NETWORKING_IPV6=y to /etc/sysconfig/network and 
DHCPV6C=y to the ifcfg-ethX script, it works fine.

Just tested locally and that's what happens for me, so this is probably just a non-bug.
Comment 6 Denise Dumas 2008-06-02 16:41:18 EDT
OK, two engineers have independently confirmed that a correctly configured
system works. Closing this, notabug. 

Note You need to log in before you can comment on or make changes to this bug.